Description: Update diffcopy as per FS changes API
Author: Nilesh Patra <nilesh@iki.fi>
Forwarded: https://github.com/tonistiigi/fsutil/pull/204
Last-Update: 2024-08-18
--- a/bench/diffcopy.go
+++ b/bench/diffcopy.go
@@ -21,7 +21,11 @@
 	}
 
 	eg.Go(func() error {
-		return fsutil.Send(ctx, s1, fsutil.NewFS(src, nil), nil)
+		fs, err := fsutil.NewFS(src)
+		if err != nil {
+			panic(err)
+		}
+		return fsutil.Send(ctx, s1, fs, nil)
 	})
 	eg.Go(func() error {
 		return fsutil.Receive(ctx, s2, dest, fsutil.ReceiveOpt{})
